from ..find import find
from .emitter import ValueEmitter


class find_values(find):
    """Find values using map_reduce framework.
    """

    # Public

    default_emitter = ValueEmitter

    def __init__(self, *, values=None, **params):
        if values is None:
            values = []
        self.__values = values
        super().__init__(**params)

    # Protected

    @property
    def _values(self):
        return self.__values
