import unittest
from functools import partial
from importlib import import_module
component = import_module('run_find.values.find')


class find_valuesTest(unittest.TestCase):

    # Actions

    def setUp(self):
        self.pfind = partial(component.find_values, reducers=[list])

    # Tests

    def test(self):
        self.assertEqual(self.pfind(), [])

    def test_with_values(self):
        self.values = ['value1', 'value2']
        self.assertEqual(self.pfind(values=self.values), self.values)
